Skip to content

cluster / config ​

10 operations.

GET /cluster/config ​

ts
proxmox.cluster.config.$get()

Directory index.

Returns an array of object.

POST /cluster/config ​

ts
proxmox.cluster.config.$post()

Generate new cluster configuration. If no links given, default to local IP address as link0.

Returns string.

ParameterTypeRequiredNotes
clusternamestringyesThe name of the cluster. — format pve-node, ≤ 15 chars
link0…link7stringAddress and priority information of a single corosync link. (up to 8 links supported; link0..link7)
nodeidnumberNode id for this node. — min 1
token-coefficientnumberCoefficient used to determine Corosync's token timeout. See the corosync.conf(5) manual for more details. — min 0, default 125
votesnumberNumber of votes for this node. — min 1

GET /cluster/config/apiversion ​

ts
proxmox.cluster.config.apiversion.$get()

Return the version of the cluster join API available on this node.

Returns integer.

GET /cluster/config/join ​

ts
proxmox.cluster.config.join.$get()

Get information needed to join this cluster over the connected node.

Returns object.

ParameterTypeRequiredNotes
nodestringThe node for which the joinee gets the nodeinfo. — format pve-node, default "current connected node"

POST /cluster/config/join ​

ts
proxmox.cluster.config.join.$post()

Joins this node into an existing cluster. If no links are given, default to IP resolved by node's hostname on single link (fallback fails for clusters with multiple links).

Returns string.

ParameterTypeRequiredNotes
fingerprintstringyesCertificate SHA 256 fingerprint.
forcebooleanDo not throw error if node already exists.
hostnamestringyesHostname (or IP) of an existing cluster member.
link0…link7stringAddress and priority information of a single corosync link. (up to 8 links supported; link0..link7)
nodeidnumberNode id for this node. — min 1
passwordstringyesSuperuser (root) password of peer node. — ≤ 128 chars
votesnumberNumber of votes for this node — min 0

GET /cluster/config/nodes ​

ts
proxmox.cluster.config.nodes.$get()

Corosync node list.

Returns an array of object.

POST /cluster/config/nodes/{node} ​

ts
proxmox.cluster.config.nodes.$(node).$post()

Adds a node to the cluster configuration. This call is for internal use.

Returns object.

ParameterTypeRequiredNotes
apiversionnumberThe JOIN_API_VERSION of the new node.
forcebooleanDo not throw error if node already exists.
link0…link7stringAddress and priority information of a single corosync link. (up to 8 links supported; link0..link7)
new_node_ipstringIP Address of node to add. Used as fallback if no links are given. — format ip
nodestringyesThe cluster node name. — format pve-node
nodeidnumberNode id for this node. — min 1
votesnumberNumber of votes for this node — min 0

DELETE /cluster/config/nodes/{node} ​

ts
proxmox.cluster.config.nodes.$(node).$delete()

Removes a node from the cluster configuration.

Returns nothing.

ParameterTypeRequiredNotes
nodestringyesThe cluster node name. — format pve-node

GET /cluster/config/qdevice ​

ts
proxmox.cluster.config.qdevice.$get()

Get QDevice status

Returns object.

GET /cluster/config/totem ​

ts
proxmox.cluster.config.totem.$get()

Get corosync totem protocol settings.

Returns object.